import { UndefinedOrNullOr } from '../../types';
/**
 * Converts the given date to a Date object. If the date is undefined, null, or an empty string, returns the current date.
 * @param {(undefined|null|string|number|Date)} date - The date to be converted to a Date object.
 * @returns {Date} The Date object.
 */
export declare const d_from: (date: UndefinedOrNullOr<string | number | Date>) => Date;
//# sourceMappingURL=from.d.ts.map