import { UndefinedOrNullOr } from '../../../types';
/**
 * Converts nearly everything to number
 * @param {undefined|null|number|string|boolean} value Value to convert
 * @return {number} Returns <code>Number.MAX_SAFE_INTEGER</code> if value is <code>null</code> or <code>undefined</code>
 */
export declare const n_from: (value: UndefinedOrNullOr<string | number | boolean>) => number;
//# sourceMappingURL=from.d.ts.map